Retrieves a list of all the Log Drains (deprecated)
GET
https://api.vercel.com/v1/log-drainsRetrieves a list of all the Log Drains owned by the account. This endpoint must be called with an account AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated account can be accessed.
https://api.vercel.com/v1/log-drains
const response = await fetch('https://api.vercel.com/v1/log-drains?projectId=string&projectIdOrName=string&includeMetadata=true&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "clientId": "example_id", "configurationId": "example_id", "createdFrom": "string", "integrationConfigurationUri": "https://example.com", "integrationIcon": "string", "integrationWebsite": "string", "projectsMetadata": [ { "framework": "actix-web", "id": "icfg_1234567890", "latestDeployment": "string", "name": "Example Name" } ] }]AuthorizationbearerToken
Default authentication mechanism